org.apache.ignite.internal.visor.log

## Class VisorLogSearchTaskArg

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.log.VisorLogSearchTaskArg

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorLogSearchTaskArg
    extends VisorDataTransferObject

Arguments for `VisorLogSearchTask`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4`

### Constructor Summary

Constructors
Constructor and Description
`VisorLogSearchTaskArg()` Default constructor.
`VisorLogSearchTaskArg(String searchStr, String folder, String filePtrn, int limit)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFilePattern()`
`String` `getFolder()`
`int` `getLimit()`
`String` `getSearchString()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorLogSearchTaskArg

    public VisorLogSearchTaskArg()

Default constructor.

#### VisorLogSearchTaskArg

    public VisorLogSearchTaskArg(String searchStr,
                                 String folder,
                                 String filePtrn,
                                 int limit)

Parameters:
  `searchStr` - Searched string.
  `folder` - Folder.
  `filePtrn` - File name search pattern.
  `limit` - Max number of results.

### Method Detail

#### getSearchString

    public String getSearchString()

Returns:
  Searched string.

#### getFolder

    public String getFolder()

Returns:
  Folder.

#### getFilePattern

    public String getFilePattern()

Returns:
  File name search pattern.

#### getLimit

    public int getLimit()

Returns:
  Max number of results.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020